:root {
  --white: #ffffff;
  --black: #000000;
  --dark: #232830;
  --very-light-pink: #c7c7c7;
  --text-input-field: #f7f7f7;
  --hospital-green: #acd9b2;
  /* --uvo-primary: #FF7100; */
  --uvo-primary: #fdb343;
  --uvo-primary-dark: #da680a;
  --uvo-info: #230c33;
  --uvo-footer: #ffffff;
  --uvo-gray-medium: #58626c;
  --uvo-gray-dark: #1a1a1a;
  --conquis-red: #d00707;
  --uvo-red: #d92211;
  --uvo-wine: #731007;
  --uvo-yellow: #f2ac29;
  --uvo-purple: #551073;
  --uvo-purple-dark: #2e0b2f;
  --uvo-blue-dark: #3d7c98;
  --uvo-blue-medium: #73b0cd;
  --uvo-blue-light: #a8dff1;
  --uvo-cream: #f5f5f5;
  --xs: 10px;
  --sm: 14px;
  --md: 16px;
  --lg: 18px;
  --xl: 20px;
  /* Events */
  --carousel-width: 1200px;
  --carousel-height: 650px;
  --carousel-padding: 60px;
  --item-width: 250px;
  --item-height: 330px;
  --icon-width: 30px;
  /* /Events */
}

body {
  font-family: "Montserrat", sans-serif;
  background-color: var(--uvo-cream);
}

.text-success {
  color: #0c9f30;
  font-weight: 700;
}

.text-error {
  color: var(--conquis-red);
  font-weight: 700;
}

#specialty-container {
  min-height: 55vh;
  background-image: url("../assets/logos/backgroud_cream.webp");
}

.text-specialty {
  font-weight: bold;
  font-size: medium;
}

/* GENERAL */
.card {
  color: #000000;
  height: 100%;
  text-align: justify;
  text-align: center;
  border: 1px solid var(--uvo-primary);
}
.card-base {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}
.title-uvo {
  font-family: "Holtwood One SC", serif;
}
.text-uvo {
  color: var(--uvo-primary);
}
.text-uvo-dark {
  color: var(--uvo-primary-dark);
  font-size: var(--lg);
  font-weight: 500;
}
.text-justified {
  text-align: justify;
}
.btn:hover {
  color: #858796;
  text-decoration: none;
}

.btn:focus,
.btn.focus {
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgba(78, 115, 223, 0.25);
}

.btn.disabled,
.btn:disabled {
  opacity: 0.65;
}

.btn:not(:disabled):not(.disabled) {
  cursor: pointer;
}

button.btn.disabled,
fieldset:disabled a.btn {
  pointer-events: none;
}
.uvo-button {
  color: var(--white);
  background-color: var(--conquis-red);
  border-color: var(--conquis-red);
}
.uvo-button:hover {
  background-color: var(--white);
  color: var(--conquis-red);
  border: 1px solid var(--conquis-red);
}
.text-cream {
  color: var(--uvo-cream);
}
.clean-link {
  text-decoration: none;
  color: var(--uvo-primary-dark);
  font-size: var(--lg);
  font-weight: 500;
}
.clean-link:hover {
  color: var(--uvo-primary);
}
.requerido {
  display: inline-block;
  color: var(--conquis-red) !important;
}
/* GENERAL */
/* Navbar */
.navbar {
  background-color: rgba(252, 249, 249, 0.7);
}
.nav-link {
  color: var(--dark);
}
.nav-link:hover {
  color: var(--conquis-red);
}
.logo-navbar {
  height: 10%;
  width: 90px;
}

.menu-container {
  height: 180px;
  background-color: var(--dark);
  color: var(--uvo-cream);
  align-items: center;
  display: grid;
}

.items-container {
  height: 80px;
  background-color: var(--uvo-cream);
  color: var(--black);
  border-bottom: 5px solid var(--conquis-red);
}

.nav-logo {
  width: 165px;
  position: absolute;
  top: -32px;
}
/* Navbar */

/* Carousel */
#main .carousel-inner img {
  min-height: 100vh;
  max-height: 100vh;
  object-fit: cover;
}
#carousel {
  position: relative;
}
#carousel .overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.2);
  color: var(--white);
  z-index: 1;
}
#carousel .text-carousel {
  text-align: justify;
  border-bottom: 4px solid var(--uvo-primary);
  border-left: 4px solid var(--uvo-primary);
  border-right: 4px solid var(--uvo-primary);
  padding: 15px;
  background-color: rgba(0, 0, 0, 0.2);
}
#carousel .text-carousel-title {
  border-left: 4px solid var(--uvo-primary);
  padding: 2px 2px 2px 15px;
  color: var(--uvo-primary);
  font-family: "Holtwood One SC", serif;
  font-size: 30px;
}
.see-calendar {
  text-decoration: none;
  font-size: var(--lg);
  font-weight: 500;
  color: var(--white);
  background-color: var(--uvo-primary);
  padding: 5px 20px 5px 20px;
  border-radius: 8px;
}
.see-calendar:hover {
  color: var(--uvo-primary);
  background-color: var(--white);
  border: 1px solid var(--uvo-primary);
}
/* /Carousel */
/* Info Camporee */
#info-camporee {
  min-height: 55vh;
  width: 100%;
  background-image: url("../assets/logos/backgroud_cream.webp");
  padding-top: 3em;
  padding-bottom: 3em;
}
.camporee-title {
  color: var(--uvo-primary-dark);
  font-size: 4rem;
  font-weight: 700;
  line-height: 20px;
  margin: 16px 0px 8px 0px;
}
.camporee-subtitle {
  color: var(--dark);
  padding-top: 0.6em;
  font-size: 3.2rem;
  font-weight: 700;
  line-height: 20px;
  margin: 16px 0px 8px 0px;
}
.camporee-total {
  color: var(--uvo-primary-dark);
  font-size: 2rem;
  font-weight: 700;
  line-height: 20px;
}
.text-2 {
  color: var(--conquis-red);
}
/* Info Camporee */
/* events */
#events {
  min-height: 90vh;
  width: 100%;
  background-image: url("../assets/logos/backgroud_dark_left.webp");
}
.events-container {
  display: flex;
  justify-content: center;
  align-items: center;
}
.carousel {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 30px;
  background-color: var(--dark);
  overflow: hidden;
}
.carousel-bg-wrapper {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.carousel-bg {
  position: absolute;
  width: 130%;
  height: 130%;
  object-fit: contain;
  object-position: 10% 50%;
  opacity: 0;
  transition: 1.25s ease;
  filter: grayscale(80%);
}
.carousel-bg.active {
  opacity: 0.2;
}
.carousel-inner {
  position: relative;
  display: flex;
  align-items: center;
  width: var(--carousel-width);
  height: var(--carousel-height);
  color: #fff;
  padding: var(--carousel-padding) 0;
}
.carousel-indicators {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 20px;
  height: 90%;
  margin: 0 var(--carousel-padding);
  color: var(--black);
  font-weight: 600;
  counter-reset: counter;
}
.carousel-indicators .line {
  position: absolute;
  width: 1px;
  height: 100%;
  background: linear-gradient(0deg, #ffffff00, #fff, #ffffff00);
}
.carousel-indicators .number {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background-color: #fff;
  transition: 0.5s ease-in-out;
}
.carousel-indicators .number::before {
  counter-increment: counter;
  content: counter(counter);
  position: absolute;
  z-index: 5;
  transition: 0.75s ease;
  transition-delay: 0.1s;
  transform: scale(0);
  opacity: 0;
}
.carousel-indicators .number::after {
  position: absolute;
  content: "";
  width: 400%;
  height: 400%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  transform: rotate(45deg) scale(0);
  transition: 0.75s ease;
}
.number.active::before {
  transform: scale(1);
  opacity: 1;
}
.number.active::after {
  background-color: var(--uvo-yellow);
  transform: rotate(45deg) scale(1);
}
.carousel-control {
  position: absolute;
  bottom: var(--carousel-padding);
  left: 50%;
  z-index: 10;
}
.carousel-control button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: none;
  margin-right: 10px;
  cursor: pointer;
  transition: 0.5s ease;
}
.carousel-control button:active {
  transform: scale(0.8);
}
.content-wrapper {
  position: relative;
  flex: 1;
  height: 100%;
}
.content {
  position: absolute;
  display: flex;
  flex-direction: column;
  height: 100%;
  padding: var(--carousel-padding) 0;
  padding-right: 20px;
  transition: 0.25s ease;
  pointer-events: none;
  opacity: 0;
}
.content.active {
  opacity: 1;
  pointer-events: visible;
}
.content > * {
  transition: 0.75s ease;
  transform: translateY(var(--item-height));
  opacity: 0;
}
.content.active > * {
  transform: translateY(0);
  opacity: 1;
  transition-delay: calc(0.05s * var(--i));
}
.content .name {
  font-family: "Holtwood One SC", serif;
  color: var(--uvo-yellow);
  font-size: var(--xl);
}
.content .describe {
  flex: 1;
  display: flex;
  align-items: center;
  font-size: 1rem;
  font-weight: 500;
  font-style: italic;
  padding-bottom: 10px;
  text-align: justify;
}
.content .properties {
  flex: 1;
  display: flex;
  flex-wrap: wrap;
  row-gap: 5px;
  padding-bottom: 20px;
  font-size: 0.8rem;
  padding-left: 0;
}
.content .properties li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  list-style-type: none;
  width: 50%;
}
.properties li span:not(.icon) {
  margin-left: 10px;
}
.properties li .icon {
  display: flex;
  width: var(--icon-width);
  height: var(--icon-width);
}
.properties li .icon img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.properties li:nth-child(1) {
  padding-right: 5px;
}
.properties li:nth-child(3) {
  padding-right: 5px;
}
.properties li:nth-child(5) {
  padding-right: 5px;
}
.properties li span:nth-child(2) {
  width: 50%;
}
.properties li span:nth-child(3) {
  font-weight: 600;
}
.content button {
  width: 40%;
  height: 40px;
  border: none;
  background-color: var(--uvo-yellow);
  color: var(--uvo-cream);
  font-family: inherit;
  text-transform: uppercase;
  font-weight: 500;
  font-size: 1rem;
  cursor: pointer;
}
.icon-button-events {
  width: 12px;
  height: 12px;
}
.slide-wrapper {
  position: relative;
  display: grid;
  place-items: center;
  width: 50%;
  height: 100%;
  overflow: hidden;
}
.slide-wrapper .slide {
  display: flex;
  align-items: center;
  height: 100%;
  transition: 0.75s ease-in-out;
  transform: translateX(calc(var(--i) * -1 * var(--item-width)));
}
.item-wrapper {
  display: flex;
  align-items: center;
  width: var(--item-width);
  height: var(--item-height);
  transition: 0.75s ease-in-out;
  filter: grayscale(100%);
}
.item-wrapper.active {
  width: calc(var(--item-width) * 1.2);
  height: calc(var(--item-height) * 1.2);
  filter: grayscale(0);
}
.item-wrapper .item {
  width: 90%;
  height: 90%;
  background-color: var(--bg);
  border-radius: 10px;
  border: 5px solid #ffffff7f;
  padding: 10px;
}
.item img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  filter: drop-shadow(5px 10px 5px #00000000);
}
.event-logo {
  position: absolute;
  width: 70px;
  object-fit: contain;
  top: var(--carousel-padding);
  left: var(--carousel-padding);
  transform: translate(-40%, -40%);
}
.gallery-front {
  width: 100%;
  height: 300px;
  object-fit: cover;
}
.img-modal-gallery {
  width: 100%;
  height: 400px;
  object-fit: cover;
}
/* /events */
/* shepherds */
#shepherds {
  padding-top: 3em;
  padding-bottom: 3em;
  background-image: url("../assets/logos/backgroud_cream.webp");
}
.card-item {
  display: grid;
  grid-template-rows: 96px 48px 48px 1fr;
  grid-template-columns: 1fr;
  border-radius: 20px 20px 16px 16px;
  background-color: var(--uvo-cream);
  max-width: 300px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}
.background {
  grid-row: 1/3;
  grid-column: 1 / -1;
}
.background img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 16px 16px 0px 0px;
}
.avatar-picture {
  grid-row: 2/4;
  grid-column: 1 / -1;
  padding: 0 24px;
}
.avatar-picture img {
  height: 100%;
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  object-fit: cover;
}
.content-leaders {
  grid-row: 4/5;
  grid-column: 1 / -1;
  padding: 0px 24px 24px 24px;
}
.profile-name {
  color: var(--dark);
  font-size: var(--lg);
  font-weight: 700;
  line-height: 20px;
  margin: 16px 0px 8px 0px;
}
/* /shepherds */
/* Login */
#login {
  background-image: url("../assets/logos/backgroud_cream.webp");
}
.logo-login {
  max-width: 350px;
}
/* /Login */
/* Success */
.logo-success {
  max-width: 250px;
}
/* /Success */
/* Register */
#register {
  background-image: url("../assets/logos/backgroud_cream.webp");
}
/* /Register */
/* club_report */
.container .nav-item .nav-link .img-profile,
.topbar .nav-item .nav-link .img-profile {
  height: 2rem;
  width: 2rem;
}
#qbox-container {
  min-height: 100%;
  display: grid;
  place-items: center;
}

.progress {
  border-radius: 0px !important;
}

#q-box__buttons {
  text-align: center;
}

#steps-container {
  display: grid;
  place-items: center;
}

.step {
  display: none;
}

#success {
  display: none;
}

#success h4 {
  color: var(--uvo-light);
}

.back-link {
  font-weight: 700;
  color: var(--uvo-light);
  text-decoration: none;
  font-size: 18px;
}

.back-link:hover {
  color: var(--uvo-dark);
}

.bg-uvo {
  background-color: var(--uvo-primary-dark);
}

label {
  margin-bottom: 5px;
  color: var(--white);
}

.q__question {
  position: relative;
}

.q__question:not(:last-child) {
  margin-bottom: 10px;
}

.question__input {
  position: absolute;
  left: -9999px;
}

.question__label {
  position: relative;
  display: block;
  line-height: 30px;
  border: 1px solid #ced4da;
  border-radius: 5px;
  background-color: var(--uvo-primary);
  padding: 5px 20px 5px 50px;
  cursor: pointer;
  transition: all 0.15s ease-in-out;
}

.question__label:hover {
  border-color: var(--uvo-light);
}

.question__label:before,
.question__label:after {
  position: absolute;
  content: "";
}

.question__label:before {
  top: 8px;
  left: 10px;
  width: 26px;
  height: 26px;
  border-radius: 50%;
  background-color: var(--uvo-primary);
  box-shadow: inset 0 0 0 1px #ced4da;
  -webkit-transition: all 0.15s ease-in-out;
  -moz-transition: all 0.15s ease-in-out;
  -o-transition: all 0.15s ease-in-out;
  transition: all 0.15s ease-in-out;
}

.question__input:checked + .question__label:before {
  background-color: var(--uvo-light);
  box-shadow: 0 0 0 0;
}

.question__input:checked + .question__label:after {
  top: 18px;
  left: 18px;
  width: 10px;
  height: 5px;
  border-left: 2px solid #fff;
  border-bottom: 2px solid #fff;
  transform: rotate(-45deg);
}

.form-check-input:checked,
.form-check-input:focus {
  background-color: var(--uvo-light) !important;
  outline: none !important;
  border: none !important;
}

input:focus {
  outline: none;
}

select:focus {
  border: 1px solid var(--uvo-light) !important;
}

option:hover {
  background-color: var(--uvo-light) !important;
}

#input-container {
  display: inline-block;
  box-shadow: none !important;
  margin-top: 36px !important;
}

label.form-check-label.radio-lb {
  margin-right: 15px;
}

#q-box__buttons {
  text-align: center;
}

input[type="text"]:focus,
input[type="email"]:focus {
  border: 1px solid var(--uvo-light);
  border-radius: 5px;
  outline: 0px !important;
  -webkit-appearance: none;
  box-shadow: none !important;
  -webkit-transition: all 0.15s ease-in-out;
  -moz-transition: all 0.15s ease-in-out;
  -o-transition: all 0.15s ease-in-out;
  transition: all 0.15s ease-in-out;
}

.form-check-input:checked[type="radio"],
.form-check-input:checked[type="radio"]:hover,
.form-check-input:checked[type="radio"]:focus,
.form-check-input:checked[type="radio"]:active {
  border: none !important;
  -webkit-outline: 0px !important;
  box-shadow: none !important;
}

.form-check-input:focus,
input[type="radio"]:hover {
  box-shadow: none;
  cursor: pointer !important;
}

.logo-adventista {
  width: 120px;
}

.mouse-hand:hover {
  cursor: pointer !important;
}

.logo-index {
  width: 250px;
}

/* highcharts */
.highcharts-figure,
.highcharts-data-table table {
  width: 500px !important;
  margin: 0.5em auto;
}

.highcharts-data-table table {
  font-family: Verdana, sans-serif;
  border-collapse: collapse;
  border: 1px solid #ebebeb;
  margin: 5px auto;
  text-align: center;
  width: 400px;
}

.highcharts-data-table caption {
  padding: 0.5em 0;
  font-size: 1.2em;
  color: var(--uvo-light);
}

.highcharts-data-table th {
  font-weight: 600;
  padding: 0.5em;
}

.highcharts-data-table td,
.highcharts-data-table th,
.highcharts-data-table caption {
  padding: 0.5em;
}

.highcharts-data-table thead tr,
.highcharts-data-table tr:nth-child(even) {
  background: var(--dark);
}

.highcharts-data-table tr:hover {
  background: var(--dark);
}

input[type="number"] {
  min-width: 50px;
}

.border-uvo {
  border: solid 1px rgba(255, 255, 255, 0.5);
}

.highcharts-figure-attend {
  max-width: 100% !important;
}

.highcharts-root {
  max-height: 39vh !important;
}

.highcharts-figure-places {
  max-width: 100% !important;
}

.highcharts-container {
  max-height: 39vh !important;
}

.highcharts-figure-places-detail {
  max-width: 100% !important;
}

.highcharts-axis-title {
  color: var(--uvo-light) !important;
  fill: var(--uvo-light) !important;
}

.highcharts-yaxis-labels text {
  color: var(--white) !important;
  fill: var(--white) !important;
}

.highcharts-xaxis-labels text {
  color: var(--white) !important;
  fill: var(--white) !important;
}

.label-amigo {
  background-color: var(--uvo-success);
  padding: 7px;
  border-radius: 4px;
}

.label-adventista {
  background-color: var(--uvo-info);
  padding: 7px;
  border-radius: 4px;
}

.ion-icon {
  color: var(--white);
  padding-top: 5px;
  font-size: 16px;
}

/* /club_report */
/* Footer */
#footer {
  background-color: var(--dark);
  color: var(--uvo-cream);
  width: 100%;
}
.logo-footer {
  padding-top: 1em;
  width: 150px;
}
.logo-footercel {
  width: 140px;
}
.phone-icon {
  width: 20px;
}
/* Footer */

.button-save {
  max-width: 200px;
  text-align: end;
}

@media screen and (max-width: 600px) {
  .highcharts-figure,
  .highcharts-data-table table {
    width: 350px !important;
    margin: 0.5em auto;
  }
  .slide-wrapper,
  .item-wrapper,
  .content button {
    display: none;
  }
  .content .properties {
    display: grid;
  }
  .content .properties li {
    padding-bottom: 10px;
  }
  .camporee-title {
    font-size: 3rem;
    line-height: 15px;
    text-align: center;
  }
  .camporee-subtitle {
    font-size: 2.2rem;
    line-height: 15px;
    text-align: center;
  }
  .menu-container {
    height: 130px;
    background-color: var(--dark);
    color: var(--uvo-cream);
    align-items: center;
    display: grid;
    z-index: 1;
  }
  .items-container {
    height: 60px;
    background-color: var(--uvo-cream);
    color: var(--black);
    border-bottom: 5px solid var(--conquis-red);
    z-index: 1;
  }
  .nav-logo {
    width: 110px;
    position: absolute;
    top: -22px;
    z-index: 2;
  }
  .nav-item {
    z-index: 3 !important;
  }
}
